# JP-JSON 编辑器

一个基于Web的编辑工具，用于管理和翻译JSON语言文件，支持日语(ja.js)和中文(zh.js)参照。

## 描述

JP-JSON编辑器是一个为语言文件翻译和管理设计的工具。它提供了一个用户友好的界面，用于编辑日语语言文件，同时显示中文参照文本以便比较。

## 功能特点

- 基于Web的JSON语言文件编辑界面
- 日语文本与中文参照文本的并排比较
- 自动保存更改到服务器
- 使用索引条目简化导航
- 响应式设计，便于编辑

## 安装

1. 克隆此仓库
2. 安装依赖:

```bash
npm install
```

## 使用方法

1. 启动服务器:

```bash
node app.js
```

2. 打开浏览器并访问 http://localhost:3112
3. 参照中文文本编辑日语语言条目
4. 点击"保存更改"更新语言文件

## API接口

- `GET /api/data` - 获取ja.js中的数据
- `GET /api/reference` - 获取zh.js中的参照数据
- `POST /api/save` - 将更新后的数据保存到ja.js

## 项目结构

- `app.js` - Express服务器和API接口
- `ja.js` - 日语语言文件（编辑目标）
- `zh.js` - 中文语言文件（参照）
- `public/` - 前端资源
  - `index.html` - Web界面

## 依赖项

- Express.js - Web服务器框架
